<?php $__env->startSection('title'); ?>
    <title><?php echo e(__('user.Pricing')); ?></title>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('frontend-content'); ?>

    <!--=============================
        BREADCRUMB START
    ==============================-->
    <section class="wsus__breadcrumb" style="background: url(<?php echo e(asset('frontend/images/breadcrumb_bg.jpg')); ?>);">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="wsus__breadcrumb_text">
                        <h1><?php echo e(__('user.Pricing')); ?></h1>
                        <ul class="d-flex flex-wrap">
                            <li><a href="<?php echo e(route('home')); ?>"><?php echo e(__('user.home')); ?></a></li>
                            <li><a href="javascript:;"><?php echo e(__('user.Pricing')); ?></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=============================
        BREADCRUMB END
    ==============================-->
    <!--=============================
        PRICING START
    ==============================-->
    <section class="wsus__pricing mt_115 xs_mt_75 pb_120 xs_pb_80">
        <div class="container">




            <div class="row pricing-two-bg ">

                <div class="col-xl-4 col-md-6">
                    <div class="wsus__single_pricing active">
                        <h2>
                            <?php if($setting->currency_position == 'before_price'): ?>
                            <?php echo e(sprintf('%0.2f', $plan->plan_price)); ?><sup><?php echo e($setting->currency_icon); ?></sup>
                            <sub>/
                                <?php if($plan->expiration_date == 'monthly'): ?>
                                <?php echo e(__('user.Monthly')); ?>


                                <?php elseif($plan->expiration_date == 'yearly'): ?>
                                    <?php echo e(__('user.Yearly')); ?>


                                <?php elseif($plan->expiration_date == 'lifetime'): ?>

                                <?php echo e(__('user.Lifetime')); ?>

                                <?php endif; ?>
                            </sub>
                            <?php else: ?>
                            <sup><?php echo e($setting->currency_icon); ?></sup><?php echo e(sprintf('%0.2f', $plan->plan_price)); ?>

                            <sub>/
                                <?php if($plan->expiration_date == 'monthly'): ?>
                                <?php echo e(__('user.Monthly')); ?>


                                <?php elseif($plan->expiration_date == 'yearly'): ?>
                                    <?php echo e(__('user.Yearly')); ?>


                                <?php elseif($plan->expiration_date == 'lifetime'): ?>

                                <?php echo e(__('user.Lifetime')); ?>

                                <?php endif; ?>
                            </sub>
                            <?php endif; ?>
                        </h2>
                        <div class="icon">
                            <img src="<?php echo e(asset($plan->icon)); ?>" alt="pricing" class="img-fluid w-100">
                        </div>
                        <div class="wsus__single_pricing_list">
                            <h3><?php echo e($plan->plan_name); ?></h3>
                            <ul>
                                <li><?php echo e($plan->maximum_service); ?> <?php echo e(__('user.Product Upload')); ?> </li>
                                <li><?php echo e(__('user.Exclusive Landing Page')); ?></li>
                                <li> <?php echo e(__('user.Modules')); ?></li>
                                <li><?php echo e(__('user.Different Layouts')); ?></li>
                                <li><?php echo e(__('user.Support Ticket')); ?></li>
                                <li><?php echo e(__('user.Button Style')); ?></li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="col-xl-8 col-md-6 ">
                    <div class="pricing-two-main">
                        <?php if($stripe->status == 1): ?>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#stripeModal">
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($stripe->image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>

                        <?php if($paypal->status == 1): ?>
                            <a href="<?php echo e(route('provider.subscription.paypal-payment', $plan->id)); ?>" >
                                <div class="pricing-two-main-item">
                                    <div class="form-check">

                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($paypal->image)); ?>" alt="paypal">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?> 

                        <?php if($razorpay->status == 1): ?>
                        <li class="nav-item">
                            <a  id="rajorpay">
                                <div class="pricing-two-main-item">
                                    <label class="form-check-label" for="flexRadioDefault1">
                                        <img src="<?php echo e(asset($razorpay->image)); ?>" alt="thumb">
                                    </label>
                                </div>
                            </a>
                            <form action="<?php echo e(route('provider.subscription.razorpay-payment', $plan->id)); ?>" class="d-none" method="POST" id="rajorpayForm">
                                <?php echo csrf_field(); ?>
                                <?php
                                    $plan_price = $plan->plan_price;
                                    $payableAmount = round($plan_price * $razorpay->currency->currency_rate,2);
                                ?>
                                <script src="https://checkout.razorpay.com/v1/checkout.js"
                                    data-key="<?php echo e($razorpay->key); ?>"
                                    data-currency="<?php echo e($razorpay->currency->currency_code); ?>"
                                    data-amount= "<?php echo e($payableAmount * 100); ?>"
                                    data-buttontext="<?php echo e(__('user.Pay')); ?> <?php echo e($payableAmount); ?> <?php echo e($razorpay->currency->currency_code); ?>"
                                    data-name="<?php echo e($razorpay->name); ?>"
                                    data-description="<?php echo e($razorpay->description); ?>"
                                    data-image="<?php echo e(asset($razorpay->image)); ?>"
                                    data-prefill.name=""
                                    data-prefill.email=""
                                    data-theme.color="<?php echo e($razorpay->color); ?>">
                                </script>
                            </form>
                        </li>
                        <?php endif; ?>

                        <?php if($flutterwave->status == 1): ?>
                            <a onclick="paywithFlutterwave()" >
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($flutterwave->logo)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>

                        <?php if($paystack->paystack_status == 1): ?>
                            <a onclick="payWithPaystack()" >
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($paystack->paystack_image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>

                        <?php if($mollie->mollie_status == 1): ?>
                            <a href="<?php echo e(route('provider.subscription.mollie-payment', $plan->id)); ?>">
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($mollie->mollie_image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>

                        <?php if($instamojo->status == 1): ?>
                            <a href="<?php echo e(route('provider.subscription.instamojo-payment', $plan->id)); ?>">
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($instamojo->image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>

                        <?php if($bank_payment->status == 1): ?>
                            <a href="#" data-bs-toggle="modal" data-bs-target="#bankPaymentModal">
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($bank_payment->image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?>
                         <?php if($sslcommerzPayment->status == 1): ?>
                            <a href="<?php echo e(route('provider.subscription.sslecommerce-payment', $plan->id)); ?>" >
                                <div class="pricing-two-main-item">
                                    <div class="form-check">
                                        <input class="form-check-input" type="hidden" name="flexRadioDefault"
                                            id="flexRadioDefault1">
                                        <label class="form-check-label" for="flexRadioDefault1">
                                            <img src="<?php echo e(asset($sslcommerzPayment->image)); ?>" alt="thumb">
                                        </label>
                                    </div>
                                </div>
                            </a>
                        <?php endif; ?> 
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!-- Stripe Modal -->
    <div class="modal fade" id="stripeModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('user.Pay via Stripe')); ?></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <?php
                    $stripe = App\Models\StripePayment::first();
                ?>
            <form  role="form" action="<?php echo e(route('provider.subscription.stripe-payment', $plan->id)); ?>" method="post"
            class="require-validation"
            data-cc-on-file="false"
            data-stripe-publishable-key="<?php echo e($stripe->stripe_key); ?>"
            id="payment-form">
            <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="wsus__comment_single_input">
                            <fieldset>
                                <legend><?php echo e(__('user.Card Number')); ?>*</legend>
                                <input type="text" name="card_number" class="card-number" autocomplete="off">
                            </fieldset>
                        </div>
                    </div>

                    <div class="col-xl-6">
                        <div class="wsus__comment_single_input">
                            <fieldset>
                                <legend><?php echo e(__('user.Month')); ?>*</legend>
                                <input type="text" size="2" name="month" class="card-expiry-month"  autocomplete="off">
                            </fieldset>
                        </div>
                    </div>

                    <div class="col-xl-6">
                        <div class="wsus__comment_single_input">
                            <fieldset>
                                <legend><?php echo e(__('user.Year')); ?>*</legend>
                                <input type="text" size="4" name="year" class="card-expiry-year" autocomplete="off">
                            </fieldset>
                        </div>
                    </div>
                    <div class="col-xl-12">
                        <div class="wsus__comment_single_input">
                            <fieldset>
                                <legend><?php echo e(__('user.CVC')); ?>*</legend>
                                <input type="text" size="4" name="cvc"  class="card-cvc" autocomplete="off">
                            </fieldset>
                        </div>
                    </div>
                </div>
                <div class='row'>
                    <div class='col-md-12 error d-none'>
                        <div class='alert-danger alert'><?php echo e(__('user.Please correct the errors and try again')); ?>.</div>
                    </div>
                </div>

            <div class="modal-footer">
                <button class="common_btn btn-block" type="submit"><?php echo e(__('user.Payment')); ?></button>
            </div>
            </form>
            </div>
        </div>
        </div>
    </div>

    <!-- Stripe Modal -->


    <!-- Modal -->
    <div class="modal fade" id="bankPaymentModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel"><?php echo e(__('user.Bank Payment')); ?></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="mb-2">
                        <?php echo nl2br($bank_payment->account_info); ?>

                    </div>
                    <form class="wsus__contact_form wsus__comment_input_area" action="<?php echo e(route('provider.subscription.bank-payment', $plan->id)); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="wsus__comment_single_input">
                                    <fieldset>
                                        <legend><?php echo e(__('user.Transaction')); ?>*</legend>
                                        <textarea name="transaction" required></textarea>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="col-xl-12">
                                <button class="common_btn btn-block" type="submit"><?php echo e(__('user.Submit')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <!--=============================
        PRICING END
    ==============================-->

    <?php
        $plan_price = $plan->plan_price;

        // start paystack
        $public_key = $paystack->paystack_public_key;
        $currency = $paystack->paystack_currency_code;
        $currency = strtoupper($currency);

        $ngn_amount = $plan_price * $paystack->paystack_currency_rate;
        $ngn_amount = $ngn_amount * 100;
        $ngn_amount = round($ngn_amount);
        // end paystack

        // start fluttewave
        $payable_amount = $plan_price * $flutterwave->currency_rate;
        $payable_amount = round($payable_amount, 2);
    ?>





<?php $__env->stopSection(); ?>




<?php $__env->startPush('frontend_js'); ?>

    <script type="text/javascript" src="https://js.stripe.com/v2/"></script>

    <script type="text/javascript">
        $(function() {
            "use strict";

            var $form = $(".require-validation");

            $('form.require-validation').bind('submit', function(e) {
                var $form = $(".require-validation"),
                inputSelector = ['input[type=email]', 'input[type=password]',
                                'input[type=text]', 'input[type=file]',
                                'textarea'].join(', '),
                $inputs = $form.find('.required').find(inputSelector),
                $errorMessage = $form.find('div.error'),
                valid = true;
                $errorMessage.addClass('d-none');

                $('.has-error').removeClass('has-error');
                $inputs.each(function(i, el) {
                var $input = $(el);
                if ($input.val() === '') {
                    $input.parent().addClass('has-error');
                    $errorMessage.removeClass('d-none');
                    e.preventDefault();
                }
                });

                if (!$form.data('cc-on-file')) {
                e.preventDefault();
                Stripe.setPublishableKey($form.data('stripe-publishable-key'));
                Stripe.createToken({
                    number: $('.card-number').val(),
                    cvc: $('.card-cvc').val(),
                    exp_month: $('.card-expiry-month').val(),
                    exp_year: $('.card-expiry-year').val()
                }, stripeResponseHandler);
                }

            });

            function stripeResponseHandler(status, response) {
                if (response.error) {
                    $('.error')
                        .removeClass('d-none')
                        .find('.alert')
                        .text(response.error.message);
                } else {
                    /* token contains id, last4, and card type */
                    var token = response['id'];

                    $form.find('input[type=text]').empty();
                    $form.append("<input type='hidden' name='stripeToken' value='" + token + "'/>");
                    $form.get(0).submit();
                }
            }

        });
    </script>

<?php $__env->stopPush(); ?>



<?php $__env->startPush('frontend_js'); ?>
    <script>
        "use strict";
        $(document).ready(function(){
            $('#rajorpay').on('click',function(){
                $('#rajorpayForm').submit();
            });
        })
    </script>
<?php $__env->stopPush(); ?>



<?php $__env->startPush('frontend_js'); ?>
<script src="https://checkout.flutterwave.com/v3.js"></script>
<?php
    $payable_amount = $plan_price * $flutterwave->currency->currency_rate;
    $payable_amount = round($payable_amount, 2);
?>
<script>
    "use strict";
    function paywithFlutterwave() {

        var isDemo = "<?php echo e(env('APP_MODE')); ?>"
        if(isDemo == 'DEMO'){
            toastr.error('This Is Demo Version. You Can Not Change Anything');
            return;
        }


        FlutterwaveCheckout({
            public_key: "<?php echo e($flutterwave->public_key); ?>",
            tx_ref: "RX1",
            amount: <?php echo e($payable_amount); ?>,
            currency: "<?php echo e($flutterwave->currency->currency_code); ?>",
            country: "<?php echo e($flutterwave->currency->country_code); ?>",
            payment_options: " ",
            customer: {
            email: "<?php echo e($user->email); ?>",
            phone_number: "<?php echo e($user->phone); ?>",
            name: "<?php echo e($user->name); ?>",
            },
            callback: function (data) {

                var tnx_id = data.transaction_id;
                var _token = "<?php echo e(csrf_token()); ?>";
                $.ajax({
                    type: 'post',
                    data : {tnx_id,_token},
                    url: "<?php echo e(url('provider.subscription.flutterwave-payment')); ?>",
                    success: function (response) {
                        if(response.status == 'success'){
                            toastr.success(response.message);
                            window.location.href = "<?php echo e(route('provider.purchase-history')); ?>";
                        }else{
                            toastr.error(response.message);
                            window.location.reload();
                        }
                    },
                    error: function(err) {

                    }
                });
            },
            customizations: {
            title: "<?php echo e($flutterwave->title); ?>",
            logo: "<?php echo e(asset($flutterwave->logo)); ?>",
            },
        });
    }
</script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('frontend_js'); ?>
<script src="https://js.paystack.co/v1/inline.js"></script>
<script>
function payWithPaystack(){
        var plan_id = '<?php echo e($plan->id); ?>';

        var handler = PaystackPop.setup({
            key: '<?php echo e($public_key); ?>',
            email: '<?php echo e($user->email); ?>',
            amount: '<?php echo e($ngn_amount); ?>',
            currency: "<?php echo e($currency); ?>",
            callback: function(response){
            let reference = response.reference;
            let tnx_id = response.transaction;
            let _token = "<?php echo e(csrf_token()); ?>";
            $.ajax({
                type: "post",
                data: {reference, tnx_id, _token, plan_id},
                url: "<?php echo e(route('provider.subscription.paystack-payment')); ?>",
                success: function(response) {
                    if(response.status == 'success'){
                        window.location.href = "<?php echo e(route('provider.purchase-history')); ?>";
                    }else{
                        window.location.reload();
                    }
                }
            });
            },
            onClose: function(){
                alert('window closed');
            }
        });
        handler.openIframe();
    }
</script>
    
<?php $__env->stopPush(); ?>




<?php echo $__env->make($active_theme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Projects\Alasmart\main_script_dec18\main_files\main_files\Modules/Subscription\Resources/views/user/provider/subscription_payment.blade.php ENDPATH**/ ?>