
<?php $__env->startSection('title'); ?>
    <title><?php echo e(__('user.Login')); ?></title>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('frontend-content'); ?>
    <!--=============================
        BREADCRUMB START
    ==============================-->
    <section class="wsus__breadcrumb" style="background: url(<?php echo e(asset('frontend/images/breadcrumb_bg.jpg')); ?>);">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="wsus__breadcrumb_text">
                        <h1><?php echo e(__('user.sign in')); ?></h1>
                        <ul class="d-flex flex-wrap">
                            <li><a href="<?php echo e(route('home')); ?>"><?php echo e(__('user.home')); ?></a></li>
                            <li><a href="javascript:;"><?php echo e(__('user.sign in')); ?></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=============================
        BREADCRUMB END
    ==============================-->


    <!--=============================
        SIGN IN START
    ==============================-->
    <section class="wsus__sign_up wsus__sign_in mt_120 xs_mt_80 pb_120 xs_pb_80">
        <div class="container">
            <div class="row">
                <div class="col-xl-7 col-lg-9 m-auto">
                    <div class="wsus__signup_text">
                        <h3><?php echo e(__('user.Login In')); ?></h3>
                        <p class="description"><?php echo e(__('user.Welcome back! Login with your data you entered during registration')); ?>.</p>
                        <form action="<?php echo e(route('store-login')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-12">
                                    <div class="wsus__comment_single_input">
                                        <fieldset>
                                            <legend><?php echo e(__('user.Email address')); ?>*</legend>
                                            <input type="email" name="email" placeholder="<?php echo e(__('user.Email address')); ?>">
                                        </fieldset>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="wsus__comment_single_input">
                                        <fieldset>
                                            <legend><?php echo e(__('user.Password')); ?>*</legend>
                                            <input type="password" name="password" id="passowrd_input" placeholder="Password">
                                            <span id="show_password"><i class="fas fa-eye-slash"></i></span>
                                        </fieldset>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" name="remember">
                                        <label class="form-check-label" for="flexCheckDefault">
                                            <?php echo e(__('user.Remember Me')); ?>

                                            <a href="<?php echo e(route('forget-password')); ?>"><?php echo e(__('user.Forget Password')); ?></a>
                                        </label>
                                    </div>
                                </div>
                                <?php if($recaptchaSetting->status==1): ?>
                                    <div class="col-12 mb-4">
                                        <div class="wsus__single_com mt_20">
                                            <div class="g-recaptcha" data-sitekey="<?php echo e($recaptchaSetting->site_key); ?>"></div>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <div class="col-12">
                                    <button type="submit" class="common_btn"><?php echo e(__('user.Login')); ?></button>
                                </div>
                            </div>
                        </form>
                        <p class="other_login"><?php echo e(__('user.I have no account .')); ?> <a href="<?php echo e(route('register')); ?>"><?php echo e(__('user.Create Account')); ?></a></p>
                        <?php if($socialLogin->is_gmail == 1): ?>
                        <ul>
                            <li>
                                <a href="<?php echo e(route('login-google')); ?>">
                                    <span><img src="<?php echo e(asset('frontend/images/google_icon.png')); ?>" alt="google" class="img-fluid w-100"></span>
                                    <?php echo e(__('user.Sign In with Google')); ?>

                                </a>
                            </li>
                        </ul>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=============================
        SIGN IN END
    ==============================-->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('frontend_js'); ?>
<script>
    "use strict";
    let password_show = false;
    (function($) {
        "use strict";
        $(document).ready(function () {
            $("#show_password").on("click", function(){
                password_show = !password_show;
                if(password_show){
                    $(this).html('<i class="fas fa-eye"></i>')

                    $('#passowrd_input').prop('type', 'text');

                }else{
                    $(this).html('<i class="fas fa-eye-slash"></i>')
                    $('#passowrd_input').prop('type', 'password');
                }
            })
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($active_theme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Projects\Alasmart\main_script_dec18\main_files\main_files\resources\views/login.blade.php ENDPATH**/ ?>