<?php $__env->startSection('title'); ?>
    <title><?php echo e(__('user.Pricing')); ?></title>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('frontend-content'); ?>

    <!--=============================
        BREADCRUMB START
    ==============================-->
    <section class="wsus__breadcrumb" style="background: url(<?php echo e(asset('frontend/images/breadcrumb_bg.jpg')); ?>);">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="wsus__breadcrumb_text">
                        <h1><?php echo e(__('user.Pricing')); ?></h1>
                        <ul class="d-flex flex-wrap">
                            <li><a href="<?php echo e(route('home')); ?>"><?php echo e(__('user.home')); ?></a></li>
                            <li><a href="javascript:;"><?php echo e(__('user.Pricing')); ?></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--=============================
        BREADCRUMB END
    ==============================-->

    <!--=============================
        PRICING START
    ==============================-->
    <section class="wsus__pricing mt_115 xs_mt_75 pb_120 xs_pb_80">
        <div class="container">
            <div class="row">
                <div class="col-xl-7 m-auto">
                    <div class="wsus__section_heading mb_20">
                        <h5><?php echo e(__('user.Our Pricing Plan')); ?></h5>
                        <h2><?php echo e(__('user.Pricing For Your Company')); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-xl-4 col-md-6">
                        <div class="wsus__single_pricing">
                            <h2>
                                <?php if($setting->currency_position == 'before_price'): ?>
                                <?php echo e(sprintf('%0.2f', $plan->plan_price)); ?><sup><?php echo e($setting->currency_icon); ?></sup>
                                <sub>/
                                    <?php if($plan->expiration_date == 'monthly'): ?>
                                    <?php echo e(__('user.Monthly')); ?>


                                    <?php elseif($plan->expiration_date == 'yearly'): ?>
                                        <?php echo e(__('user.Yearly')); ?>


                                    <?php elseif($plan->expiration_date == 'lifetime'): ?>

                                    <?php echo e(__('user.Lifetime')); ?>

                                    <?php endif; ?>
                                </sub>
                                <?php else: ?>
                                <sup><?php echo e($setting->currency_icon); ?></sup><?php echo e(sprintf('%0.2f', $plan->plan_price)); ?>

                                <sub>/
                                    <?php if($plan->expiration_date == 'monthly'): ?>
                                    <?php echo e(__('user.Monthly')); ?>


                                    <?php elseif($plan->expiration_date == 'yearly'): ?>
                                        <?php echo e(__('user.Yearly')); ?>


                                    <?php elseif($plan->expiration_date == 'lifetime'): ?>

                                    <?php echo e(__('user.Lifetime')); ?>

                                    <?php endif; ?>
                                </sub>
                                <?php endif; ?>
                            </h2>
                            <div class="icon">
                                <img src="<?php echo e(asset($plan->icon)); ?>" alt="pricing" class="img-fluid w-100">
                            </div>
                            <div class="wsus__single_pricing_list">
                                <h3><?php echo e($plan->plan_name); ?></h3>
                                <ul>
                                    <li><?php echo e($plan->maximum_service); ?> <?php echo e(__('user.Product Upload')); ?> </li>
                                    <li><?php echo e(__('user.Exclusive Landing Page')); ?></li>
                                    <li> <?php echo e(__('user.Modules')); ?></li>
                                    <li><?php echo e(__('user.Different Layouts')); ?></li>
                                    <li><?php echo e(__('user.Support Ticket')); ?></li>
                                    <li><?php echo e(__('user.Button Style')); ?></li>
                                </ul>
                                <?php if($plan->plan_price == 0): ?>
                                    <a class="common_btn" href="<?php echo e(route('provider.subscription.free-enroll', $plan->id)); ?>"><?php echo e(__('user.Trail Now')); ?></a>
                                <?php else: ?>
                                    <a class="common_btn" href="<?php echo e(route('provider.subscription-payment', $plan->id)); ?>"><?php echo e(__('user.Purchase Now')); ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

            </div>
        </div>
    </section>
    <!--=============================
        PRICING END
    ==============================-->

<?php $__env->stopSection(); ?>

<?php echo $__env->make($active_theme, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Projects\Alasmart\main_script_dec18\main_files\main_files\Modules/Subscription\Resources/views/pricing_plan.blade.php ENDPATH**/ ?>